msg "Usage: ./all compile-map mapname1 mapname2 mapname3"
msg "For example: ./all compile-map dance xoylent"
fi
- if [ ! -f "netradiant/install/q3map2.x86" ] ; then
+ if ! [ -f "netradiant/install/q3map2.x86" ] ; then
msg "q3map2 needed! Building netradiant..."
- cd netradiant
- make
- cd ../
+ make -C netradiant install/q3map2.x86
fi
- for mapfile in $@ ; do
- mapfile="data/xonotic-maps.pk3dir/maps/$1.map"
+ for mapfile in "$@"; do
+ mapfile="data/xonotic-maps.pk3dir/maps/$mapfile.map"
if [ ! -f "$mapfile" ] ; then
msg "ERROR, $mapfile not found!"
else
- time misc/tools/xonotic-map-compiler $mapfile `grep "^-" $mapfile.options`
+ time misc/tools/xonotic-map-compiler-optionsfile "$mapfile"
fi
done
;;
fi
t0=`date +%s`
(
- cd maps
- sz=`grep '^size ' "$M.mapinfo" 2>/dev/null || true`
- if [ -n "$sz" ]; then
- minimap_override="-minimap + -minmax ${sz#size }"
- else
- minimap_override=
- fi
- ../../../misc/tools/xonotic-map-compiler "$M" `grep ^- "$M.map.options" | cut -d '#' -f 1` $minimap_override $build_override > "$M.log" 2>&1
+ cd ../..
+ misc/tools/xonotic-map-compiler-optionsfile "data/xonotic-data.pk3dir/maps/$M" $build_override > "$M.log" 2>&1
)
status=$?
if ! [ -f "maps/$M.bsp" ]; then
--- /dev/null
+#!/bin/sh
+
+M=${1%.map}
+shift
+
+sz=`grep '^size ' "$M.mapinfo" 2>/dev/null || true`
+if [ -n "$sz" ]; then
+ minimap_override="-minimap + -minmax ${sz#size }"
+else
+ minimap_override=
+fi
+misc/tools/xonotic-map-compiler "$M" `grep ^- "$M.map.options" | cut -d '#' -f 1` $minimap_override "$@"